Bug 439224 - R comand edit doesn't work due to locale / font problems
R comand edit doesn't work due to locale / font problems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: R (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 12:14 EDT by Sergio Pascual
Modified: 2008-05-21 07:02 EDT (History)
0 users

See Also:
Fixed In Version: 2.7.0-2.fc9.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 06:54:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2008-03-27 12:14:25 EDT
Description of problem:


Version-Release number of selected component (if applicable):
R-2.6.2-1.fc8.1

How reproducible:
Always

Steps to Reproduce:
1. Run R in spanish lang: 
$ LANG=es_ES.UTF-8 R
2. Run R command edit:
> edit(faithful)
3.
  
Actual results:
Output in the console

Error en dataentry(datalist, modes) : invalid device
Además: Warning message:
In edit.data.frame(faithful) :
  unable to create fontset -adobe-helvetica-medium-r-*-*-12-*-*-*-*-*-*-*


Expected results:
A graphic editor opens

Additional info:
I have tried other locales:
fr_FR and en_UH don't work, C and en_UK work
Comment 1 Fedora Update System 2008-05-15 12:04:17 EDT
rpy-0.4.6-25.fc7,R-2.7.0-2.fc7.1 has been submitted as an update for Fedora 7
Comment 2 Fedora Update System 2008-05-15 12:07:35 EDT
rpy-1.0.1-4.fc8,R-2.7.0-2.fc8.1 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-05-15 12:10:37 EDT
rpy-1.0.1-6.fc9,R-2.7.0-2.fc9.1 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-05-17 18:18:57 EDT
R-2.7.0-2.fc9.1, rpy-1.0.1-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R rpy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4012
Comment 5 Fedora Update System 2008-05-21 06:54:20 EDT
R-2.7.0-2.fc9.1, rpy-1.0.1-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-05-21 06:56:40 EDT
rpy-1.0.1-4.fc8, R-2.7.0-2.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-05-21 07:02:54 EDT
R-2.7.0-2.fc7.1, rpy-0.4.6-25.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.